Bug 617342 (CVE-2010-2541) - CVE-2010-2541 Freetype ftmulti buffer overflow
Summary: CVE-2010-2541 Freetype ftmulti buffer overflow
Status: CLOSED ERRATA
Alias: CVE-2010-2541
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100722,reported=20100720,sou...
Keywords: Security
Depends On: 613299 614010 614012 614014 617347 617348 617349 617350 617351 617352
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 19:32 UTC by Josh Bressers
Modified: 2015-07-29 12:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 12:46:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current proposed patch (743 bytes, patch)
2010-07-22 19:35 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0577 normal SHIPPED_LIVE Important: freetype security update 2010-07-30 15:42:52 UTC
Red Hat Product Errata RHSA-2010:0578 normal SHIPPED_LIVE Important: freetype security update 2010-07-30 16:09:53 UTC

Description Josh Bressers 2010-07-22 19:32:45 UTC
While fixing CVE-2010-2527 Marek Kašík discovered an additional buffer
overflow in the ftmulti demo program.

The demo application could crash or, possibly, lead to the execution of
arbitrary code if an attacker were able to get a victim to load a malicious
font file.

This is CVE-2010-2541

Comment 1 Josh Bressers 2010-07-22 19:35:32 UTC
Created attachment 433794 [details]
Current proposed patch

Please note, upstream has not yet taken this patch. They added a broken patch to their upstream git repository:
http://git.savannah.gnu.org/cgit/freetype/freetype2-demos.git/commit/?id=3636982a7666bcfa0e47fb31d565314d1b3e7d78

Do not use that upstream patch, it doesn't fix anything.

Comment 3 Josh Bressers 2010-07-22 19:45:33 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 6 errata-xmlrpc 2010-07-30 15:43:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0577 https://rhn.redhat.com/errata/RHSA-2010-0577.html

Comment 7 errata-xmlrpc 2010-07-30 16:10:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0578 https://rhn.redhat.com/errata/RHSA-2010-0578.html


Note You need to log in before you can comment on or make changes to this bug.